﻿#language: ru

Функционал: Запуск обработки Меню учетных точек: Оперативный учет на РЦ

Сценарий: Запуск обработки Меню учетных точек: Оперативный учет на РЦ
	Дано Я переключаюсь на открытый клиент "milk_prod_Киоск"
	И в поле 'Дата' я ввожу текст '11.11.2018'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Посолка'      |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку 'Выпуск сыра'
	Тогда открылось окно '*Выпуск сыра (11.11.18 Смена24)*'
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку 'КомандаОК'
	Тогда открылось окно '*Выпуск сыра (11.11.18 Смена24)*'
	И я закрываю окно '*Выпуск сыра (11.11.18 Смена24)*'

Сценарий: 02_milk_production.02.007 Закрытие клиента для отключения весов
	И я закрываю сеанс TESTCLIENT

Сценарий: Отключение весов от учетной точки
	Дано Я переключаюсь на открытый клиент "Администратор"
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Посолка'      |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Посолка (Учетные точки)'
	И в таблице "СписокКнопки" я перехожу к строке:
		| 'Наименование' |
		| 'Выпуск сыра'  |
	И в таблице "СписокКнопки" я выбираю текущую строку
	Тогда открылось окно 'Выпуск сыра (Кнопка учетной точки)'
	И я перехожу к закладке с именем "СтраницаВесы"
	И я снимаю флаг 'Использовать'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Выпуск сыра (Кнопка учетной точки)' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Посолка (Учетные точки)'
	И я закрываю окно 'milk_prod_Посолка (Учетные точки)'
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'

Сценарий: Запуск обработки Меню учетных точек: Оперативный учет на РЦ продолжение
	Дано Я подключаюсь под "milk_prod_Киоск"
	И в поле 'Дата' я ввожу текст '11.11.2018'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Посолка'      |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку 'Выпуск сыра'
	Тогда открылось окно '*Выпуск сыра (11.11.18 Смена24)*'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Выпуск сыра (11.11.18 Смена24)*'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно 'Выпуск сыра (11.11.18 Смена24)*'
	И я нажимаю кнопку выбора у поля "Пакет"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Пакет '       |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Выпуск сыра (11.11.18 Смена24)*'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '9'
	И я нажимаю на кнопку '4'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Выпуск сыра (11.11.18 Смена24)*'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество1'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '3'
	И я нажимаю на кнопку '6'
	И я нажимаю на кнопку '5'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Выпуск сыра (11.11.18 Смена24)*'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно "Печать документ*"
	И я закрываю окно "Печать документ*"
	Тогда открылось окно "Печать документ*"
	И я закрываю окно "Печать документ*"
	Тогда открылось окно 'Выпуск сыра (11.11.18 Смена24)*'
	И я нажимаю на кнопку 'Закрыть'

Сценарий: Выпуск на тару нескольких партий в солилку и проверка работы поля штрихкода
	И в поле 'Дата' я ввожу текст '01.11.2018'
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24' |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		|'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку 'Выпуск на тару с комплектацией'
	Тогда открылось окно 'Выпуск на тару с комплектацией *: Работа с заданиями'
	И в таблице "Задания" я перехожу к строке:
		| 'N' | 'Ед. изм.' | 'Задание'    | 'Номенклатура'                         			 | 'Состояние' |
		| '6' | 'кг'       | '950,000'    | 'milk_prod_Сливочный 45% / Варка / 01.11.2018/6' | 'Не начато' |
	И я нажимаю на кнопку 'Приступить'
	Тогда открылось окно 'Выпуск на тару с комплектацией *'
	И в поле 'ШтрихКод' я ввожу текст '07000000003'
	И я перехожу к следующему реквизиту
	И представление элемента с именем "Тара" стало равно "07000000003"
	И представление элемента с именем "ВесТары" стало равно "0,120"
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '6'
	И я нажимаю на кнопку '3'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Выпуск на тару с комплектацией (01.11.18 Смена24) *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество1'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Выпуск на тару с комплектацией (01.11.18 Смена24) *'
	И я нажимаю на кнопку 'КомандаКалькуляторТары'
	Тогда открылось окно 'Калькулятор тары'
	И в таблице "ТаблицаТипыТары" я перехожу к строке:
		| 'Вес'   | 'Тип тары' 			 |
		| '0,200' | 'milk_prod_Палка'    |
	И в таблице "ТаблицаТипыТары" я активизирую поле с именем "ТаблицаТипыТарыВесНорматив"
	И я нажимаю на кнопку 'КомандаКоличествоПлюс'
	И я нажимаю на кнопку 'КомандаКоличествоПлюс'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Выпуск на тару с комплектацией *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Когда открылось окно 'Выпуск на тару с комплектацией *: Работа с заданиями'
	И я нажимаю на кнопку 'Закрыть'
	И я нажимаю на кнопку 'Выпуск на тару'
	Тогда открылось окно 'Выпуск на тару *: Работа с заданиями'
	И в таблице "Задания" я перехожу к строке:
		| 'N' | 'Ед. изм.' | 'Задание'    | 'Номенклатура'               		               |
		| '7' | 'кг'       | '950,000'    | 'milk_prod_Диетический 35% / Варка / 01.11.2018/7' |
	И я нажимаю на кнопку 'Приступить'
	Тогда открылось окно 'Выпуск на тару *'
	И я нажимаю кнопку выбора у поля с именем "Тара"
	Тогда открылось окно 'Тары'
	И в таблице "Список" я перехожу к строке:
		| 'Штрих код'   |
		| '07000000004' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Выпуск на тару (01.11.18 Смена24) *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '3'
	И я нажимаю на кнопку '6'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Выпуск на тару (01.11.18 Смена24) *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество1'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку 'КомандаКалькулятораСтереть'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Выпуск на тару *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Выпуск на тару *: Работа с заданиями'
	И я закрыл все окна клиентского приложения

Сценарий: Выпуск на таре материала без возможности изменения
	И в поле 'Дата' я ввожу текст '11.11.2018'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Посолка'      |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку 'Выпуск на таре материала'
	Тогда открылось окно 'Выпуск на таре материала *'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Количество' | 'Количество 1' | 'Номенклатура'                         		   | 'Склад'             		   | 'Тара'        |
		| '62,480, кг' | '21,000, шт'   | 'milk_prod_Сливочный 45% / Варка / 01.11.2018/6' | 'milk_prod_Бассейн соления 2' | '07000000003' |
	И я нажимаю на кнопку 'Выбрать'
	И представление элемента с именем "Тара" стало равно "07000000003"
	И я закрыл все окна клиентского приложения

Сценарий: Выпуск с перекомплектацией тары
	И в поле 'Дата' я ввожу текст '11.11.2018'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Посолка'      |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку 'Выпуск на тару с комплектацией'
	Тогда открылось окно 'Выпуск на тару с комплектацией *'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Количество' | 'Количество 1' | 'Номенклатура'                         		   | 'Склад'             		   | 'Тара'        |
		| '62,480, кг' | '21,000, шт'   | 'milk_prod_Сливочный 45% / Варка / 01.11.2018/6' | 'milk_prod_Бассейн соления 2' | '07000000003' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Выпуск на тару с комплектацией *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'      |
		| 'milk_prod_Бассейн соления 2' |
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно 'Выпуск на тару с комплектацией *'
	И я нажимаю кнопку выбора у поля с именем "Тара"
	Тогда открылось окно 'Тары'
	И в таблице "Список" я перехожу к строке:
		| 'Штрих код'   |
		| '07000000003' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Выпуск на тару с комплектацией *'
	И я нажимаю на кнопку 'КомандаКалькуляторТары'
	Тогда открылось окно 'Калькулятор тары'
	И в таблице "ТаблицаТипыТары" я перехожу к строке:
		| 'Вес'   | 'Вес итог' | 'Кол-во' | 'Тип тары'			 |
		| '0,200' | '0,400'    | '2'      | 'milk_prod_Палка'    |
	И я нажимаю на кнопку 'КомандаКоличествоПлюс'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Выпуск на тару с комплектацией *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '6'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Выпуск на тару с комплектацией *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество1'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Выпуск на тару с комплектацией *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Выпуск на тару с комплектацией *'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Количество' | 'Количество 1' | 'Номенклатура'                           			 | 'Склад'             			 | 'Тара'        |
		| '34,800, кг' | '12,000, шт'   | 'milk_prod_Диетический 35% / Варка / 01.11.2018/7' | 'milk_prod_Бассейн соления 2' | '07000000004' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Выпуск на тару с комплектацией *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        		  |
		| 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно 'Выпуск на тару с комплектацией *'
	И я нажимаю кнопку выбора у поля с именем "Тара"
	Тогда открылось окно 'Тары'
	И в таблице "Список" я перехожу к строке:
		| 'Штрих код'   |
		| '07000000005' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Выпуск на тару с комплектацией *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '3'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Выпуск на тару с комплектацией *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество1'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Выпуск на тару с комплектацией *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Выпуск на тару с комплектацией *'
	И я закрыл все окна клиентского приложения

Сценарий: Проверка документов перекомплектации
	Дано Я переключаюсь на открытый клиент "milk_prod_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Номер'       | 'Ответственный'   | 'Рабочий центр' 	  | 'Смена'   | 'Способ создания'    | 'Статус'    |
		| '11.11.2018' | '0000-000016' | 'milk_prod_Киоск' | 'milk_prod_Упаковка' | 'Смена24' | 'Приемка и передача' | 'Выполнено' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Переработка 0000-000016 от *'
	И     таблица "Выпуск" стала равной:
		| 'Спецификация'      					  | 'Ед. изм. 2' | 'N' | 'Количество' | 'Этап'     | 'Тара' | 'Номенклатура'  		  | 'Количество 1' | 'Характеристика' | 'Серия'        | 'Количество 2' | 'Ед. изм.' | 'Ед. изм. 1' | 'Задание' | 'Дата выпуска' | 'Дата маркировки' |
		| 'milk_prod_Сливочный 45% milk_prod_Сыр' | ''           | '1' | '60,280'     | 'Упаковка' | ''     | 'milk_prod_Сливочный 45%' | '21,000'       | 'На созревании'  | '01.11.2018/6' | ''             | 'кг'       | 'шт'         | ''        | ''             | ''                |
	И     таблица "РаспределениеМатериалов" стала равной:
		| 'Распределить на выпуск'                       		   | 'Ед. изм. 2' | 'N' | 'Количество' | 'Номер пакета' | 'Тара'        | 'Номенклатура' | 'Количество 1' | 'Характеристика'    | 'Серия'        | 'Количество 2' | 'Ед. изм.' | 'Ед. изм. 1' | 'Время расхода' |
		| 'milk_prod_Сливочный 45% / На созревании / 01.11.2018/6' | ''           | '1' | ''           | ''             | '07000000003' | ''             | '21,000'       | '<не используются>' | '01.11.2018/6' | ''             | ''         | 'шт'         | ''              |
	И Я закрываю окно 'Переработка 0000-000016 от *'
	Тогда открылось окно 'Переработки'
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Номер'       | 'Ответственный'   | 'Рабочий центр' 		| 'Смена'   | 'Способ создания'    | 'Статус'    |
		| '11.11.2018' | '0000-000017' | 'milk_prod_Киоск' | 'milk_prod_Упаковка'   | 'Смена24' | 'Приемка и передача' | 'Выполнено' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Переработка 0000-000017 от *'
	И     таблица "Выпуск" стала равной:
		| 'Спецификация'        		  			| 'Ед. изм. 2' | 'N' | 'Количество' | 'Этап'     | 'Тара' | 'Номенклатура'    		  | 'Количество 1' | 'Характеристика' | 'Серия'        | 'Количество 2' | 'Ед. изм.' | 'Ед. изм. 1' | 'Задание' | 'Дата выпуска' | 'Дата маркировки' |
		| 'milk_prod_Диетический 35% milk_prod_Сыр' | ''           | '1' | '28,650'     | 'Упаковка' | ''     | 'milk_prod_Диетический 35%' | '12,000'       | 'На созревании'  | '01.11.2018/7' | ''             | 'кг'       | 'шт'         | ''        | ''             | ''                |
	И     таблица "РаспределениеМатериалов" стала равной:
		| 'Распределить на выпуск'                         			 | 'Ед. изм. 2' | 'N' | 'Количество' | 'Номер пакета' | 'Тара'        | 'Номенклатура' | 'Количество 1' | 'Характеристика'    | 'Серия'        | 'Количество 2' | 'Ед. изм.' | 'Ед. изм. 1' | 'Время расхода' |
		| 'milk_prod_Диетический 35% / На созревании / 01.11.2018/7' | ''           | '1' | ''           | ''             | '07000000004' | ''             | '12,000'       | '<не используются>' | '01.11.2018/7' | ''             | ''         | 'шт'         | ''              |
	И Я закрываю окно 'Переработка 0000-000017 от *'
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'
	И В командном интерфейсе я выбираю 'Производство' 'Комплектации тар'
	Тогда открылось окно 'Комплектации тар'
	И в таблице "Список" я перехожу к строке:
		| 'Номер'       | 'Ответственный'   | 'Склад'             			| 'Способ создания'    | 'Тара'        | 'Тип операции' |
		| '0000-000002' | 'milk_prod_Киоск' | 'milk_prod_Бассейн соления 2' | 'Приемка и передача' | '07000000003' | 'Пересобрать'  |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Комплектация тары 0000-000002 от *'
	И     таблица "Товары" стала равной:
		| 'Ед. изм. 2' | 'N' | 'Количество' | 'Номенклатура'  			| 'Количество 1' | 'Характеристика' | 'Серия'        | 'Количество 2' | 'Ед. изм.' | 'Ед. изм. 1' |
		| ''           | '1' | '60,280'     | 'milk_prod_Сливочный 45%' | '21,000'       | 'На созревании'  | '01.11.2018/6' | ''             | 'кг'       | 'шт'         |
	И     таблица "ТекущиеТовары" стала равной:
		| 'Ед. изм. 2' | 'N' | 'Количество' | 'Номенклатура'  			| 'Количество 1'   | 'Характеристика' | 'Серия'        | 'Количество 2' | 'Ед. изм.' | 'Ед. изм. 1' |
		| ''           | '1' | '2,200'      | 'milk_prod_Сливочный 45%' | '<Количество 1>' | 'Варка'          | '01.11.2018/6' | ''             | 'кг'       | 'шт'         |
	И     таблица "СоставТары" стала равной:
		| 'N' | 'Количество' | 'Тип тары' 			| 'Тара'        | 'Вес'   |
		| '1' | '3'          | 'milk_prod_Палка'    | ''            | '0,600' |
		| '2' | '1'          | 'milk_prod_Китаянка' | '07000000003' | '0,120' |
	И     таблица "ТекущийСоставТары" стала равной:
		| 'N' | 'Количество' | 'Тип тары' 			| 'Тара'        | 'Вес'   |
		| '1' | '2'          | 'milk_prod_Палка'    | ''            | '0,400' |
		| '2' | '1'          | 'milk_prod_Китаянка' | '07000000003' | '0,120' |
	И Я закрываю окно 'Комплектация тары 0000-000002 от *'
	Тогда открылось окно 'Комплектации тар'
	И в таблице "Список" я перехожу к строке:
		| 'Номер'       | 'Ответственный'   | 'Склад'               		  | 'Способ создания'    | 'Тара'        | 'Тип операции' |
		| '0000-000003' | 'milk_prod_Киоск' | 'milk_prod_Камера созревания 1' | 'Приемка и передача' | '07000000005' | 'Собрать'      |
	И в таблице "Список" я выбираю текущую строку
	И     таблица "Товары" стала равной:
		| 'Ед. изм. 2' | 'N' | 'Количество' | 'Номенклатура'    		  | 'Количество 1' | 'Характеристика' | 'Серия'        | 'Количество 2' | 'Ед. изм.' | 'Ед. изм. 1' |
		| ''           | '1' | '28,650'     | 'milk_prod_Диетический 35%' | '12,000'       | 'На созревании'  | '01.11.2018/7' | ''             | 'кг'       | 'шт'         |
	И     таблица "СоставТары" стала равной:
		| 'N' | 'Количество' | 'Тип тары' 			| 'Тара'        | 'Вес'   |
		| '1' | '1'          | 'milk_prod_Китаянка' | '07000000005' | '1,350' |
	И я закрыл все окна клиентского приложения

Сценарий: Выпуск сыра без тары
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'Дата смены' я ввожу текст '03.02.2020'
	И в поле 'от' я ввожу текст '03.02.2020  0:00:00'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'milk_prod_упаковка'
	И из выпадающего списка с именем "СкладВыпуск" я выбираю по строке 'milk_prod_камера'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'milk_prod_диети'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Помощник регистрации новой серии'
	И в поле 'Номер' я ввожу текст '1'
	И в поле 'Дата выпуска' я ввожу текст '03.02.2020'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '26,000'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество1' я ввожу текст '8,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: Перемещение без перевзвешивания
	Дано Я переключаюсь на открытый клиент "milk_prod_Киоск"
	И в поле 'Дата' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Перемещения'  |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Перемещение между камерами'
	Тогда открылось окно 'Перемещение между камерами *'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Количество' | 'Количество 1' | 'Номенклатура'                                   			 | 'Склад'               		   |
		| '26,000, кг' | '8,000, шт'    | 'milk_prod_Диетический 35% / На созревании / 03.02.2020/1' | 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Перемещение между камерами *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Упаковка'  |
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно 'Перемещение между камерами *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Перемещение между камерами *'
	И Я закрываю окно 'Перемещение между камерами *'
	И я закрыл все окна клиентского приложения

Сценарий: Проверка документа перемещения с тем же весом
	Дано Я переключаюсь на открытый клиент "milk_prod_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И в таблице "Список" я перехожу к первой строке
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распоряжение на перемещение * от *'
	И элемент формы с именем "СкладОтправитель" стал равен "milk_prod_Камера созревания 1"
	И элемент формы с именем "СкладПолучатель" стал равен "milk_prod_Упаковка"
	И     таблица "Товары" стала равной:
		| 'N' | 'Количество' | 'Тара' | 'Ед.' | 'Номенклатура'    		    | 'Количество 1' | 'Характеристика' | 'Серия'        | 'В ед. хранения' | 'Количество 2' | 'Упаковочный лист' |
		| '1' | '26,000'     | ''     | 'кг'  | 'milk_prod_Диетический 35%' | '8,000, шт'    | 'На созревании'  | '03.02.2020/1' | '26,000, кг'     | ''             | ''                 |
	И я закрыл все окна клиентского приложения

Сценарий: Перемещение тары монотоварной без перевзвешивания
	Дано Я переключаюсь на открытый клиент "milk_prod_Киоск"
	И я нажимаю на кнопку 'Перемещение между камерами'
	Тогда открылось окно 'Перемещение между камерами *'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Количество' | 'Количество 1' | 'Номенклатура'                                   			 | 'Склад'               		   | 'Тара'        |
		| '28,650, кг' | '12,000, шт'   | 'milk_prod_Диетический 35% / На созревании / 01.11.2018/7' | 'milk_prod_Камера созревания 1' | '07000000005' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Перемещение между камерами *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно 'Перемещение между камерами *'
	И     элемент формы с именем "ТараМатериал" стал равен '07000000005'
	И     элемент формы с именем "Количество" стал равен '28,650'
	И     элемент формы с именем "Количество1" стал равен '12,000'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Перемещение между камерами *'
	И я нажимаю на кнопку 'Закрыть'

Сценарий: Проверка документа перемещения монотоварной тары
	Дано Я переключаюсь на открытый клиент "milk_prod_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Ответственный'   | 'Склад отправитель'   		  | 'Склад получатель'    			| 'Способ создания'    | 'Статус'    |
		| 'milk_prod_Киоск' | 'milk_prod_Камера созревания 1' | 'milk_prod_Камера созревания 1' | 'Приемка и передача' | 'Выполнено' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распоряжение на перемещение *'
	И я перехожу к закладке "Факт"
	И     элемент формы с именем "СписокТары" стал равен '07000000005'
	И     таблица "Товары" стала равной:
		| 'N' | 'Количество' | 'Тара'        | 'Ед.' | 'Номенклатура'    		   | 'Количество 1' | 'Характеристика' | 'Серия'        | 'В ед. хранения' | 'Количество 2' | 'Упаковочный лист' |
		| '1' | '28,650'     | '07000000005' | 'кг'  | 'milk_prod_Диетический 35%' | '12,000, шт'   | 'На созревании'  | '01.11.2018/7' | '28,650, кг'     | ''             | ''                 |
	И я закрыл все окна клиентского приложения

Сценарий: Формирование тары с разными номенклатурами
	И В командном интерфейсе я выбираю 'Производство' 'Комплектации тар'
	Тогда открылось окно 'Комплектации тар'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Комплектация тары (создание)'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И я нажимаю кнопку выбора у поля с именем "Тара"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''     |
		| 'Тара' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Тары'
	И в таблице "Список" я перехожу к строке:
		| 'Тип'               			| 'Штрих код'   |
		| 'milk_prod_Политоварные рамы' | '10000000001' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я добавляю строку
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид' 		  | 'Ед.' | 'Наименование'  			|
		| 'milk_prod_Сыр' | 'кг'  | 'milk_prod_Сливочный 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыХарактеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'На созревании' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '01.11.2018'   | '3'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" в поле с именем 'ТоварыКоличество' я ввожу текст '52,000'
	И в таблице "Товары" в поле с именем 'ТоварыКоличество1' я ввожу текст '12,000'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид' 		  | 'Ед.' | 'Наименование'   		   |
		| 'milk_prod_Сыр' | 'кг'  | 'milk_prod_Российский 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыХарактеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'На созревании' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '11.11.2018'   | '1'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" в поле с именем 'ТоварыКоличество' я ввожу текст '14,000'
	И в таблице "Товары" в поле с именем 'ТоварыКоличество1' я ввожу текст '15,000'
	И в таблице "Товары" я перехожу к строке:
		| 'N' | 'Серия'             | 'Характеристика'    |
		| '1' | '<не используются>' | '<не используются>' |
	И я выбираю пункт контекстного меню с именем 'ТоварыКонтекстноеМенюУдалить' на элементе формы с именем "Товары"
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Комплектация тары (создание) *' в течение 20 секунд
	Тогда открылось окно 'Комплектации тар'
	И Я закрываю окно 'Комплектации тар'

Сценарий: Перемещение тары с разной номенклатурой без перевзвешивания
	Дано Я переключаюсь на открытый клиент "milk_prod_Киоск"
	И я нажимаю на кнопку 'Перемещение между камерами'
	Тогда открылось окно 'Перемещение между камерами *'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Количество' | 'Количество 1' | 'Номенклатура'                                  			| 'Склад'               		  | 'Тара'        |
		| '14,000, кг' | '15,000, шт'   | 'milk_prod_Российский 50% / На созревании / 11.11.2018/1' | 'milk_prod_Камера созревания 1' | '10000000001' |
	И в таблице "ТаблицаОстатков" я активизирую поле с именем "ТаблицаОстатковТара"
	И я нажимаю на кнопку 'Выбрать'
	И     элемент формы с именем "ТараМатериал" стал равен '10000000001'
	И     таблица "СоставТары" стала равной:
		| 'Номенклатура'                                  			| 'Количество1' | 'Количество' | 'Количество2' |
		| 'milk_prod_Российский 50% / На созревании / 11.11.2018/1' | '15,000, шт'  | '14,000, кг' | ''            |
		| 'milk_prod_Сливочный 45% / На созревании / 01.11.2018/3'  | '12,000, шт'  | '52,000, кг' | ''            |
	Когда открылось окно 'Перемещение между камерами *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно 'Перемещение между камерами *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Перемещение между камерами *'
	И Я закрываю окно 'Перемещение между камерами *'

Сценарий: Проверка документа перемещения политоварной тары
	Дано Я переключаюсь на открытый клиент "milk_prod_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Номер'       | 'Ответственный'   | 'Склад отправитель'   		  | 'Склад получатель'    			| 'Способ создания'    | 'Статус'    |
		| '0000-000003' | 'milk_prod_Киоск' | 'milk_prod_Камера созревания 1' | 'milk_prod_Камера созревания 1' | 'Приемка и передача' | 'Выполнено' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распоряжение на перемещение 0000-000003 от *'
	И я перехожу к закладке "Факт"
	И     элемент формы с именем "СписокТары" стал равен '10000000001'
	И     таблица "Товары" стала равной:
		| 'N' | 'Количество' | 'Тара'        | 'Ед.' | 'Номенклатура'   		  | 'Количество 1' | 'Характеристика' | 'Серия'        | 'В ед. хранения' | 'Количество 2' | 'Упаковочный лист' |
		| '1' | '14,000'     | '10000000001' | 'кг'  | 'milk_prod_Российский 50%' | '15,000, шт'   | 'На созревании'  | '11.11.2018/1' | '14,000, кг'     | ''             | ''                 |
		| '2' | '52,000'     | '10000000001' | 'кг'  | 'milk_prod_Сливочный 45%'  | '12,000, шт'   | 'На созревании'  | '01.11.2018/3' | '52,000, кг'     | ''             | ''                 |
	И я закрыл все окна клиентского приложения

Сценарий: Удаление лишних позиций
	И В командном интерфейсе я выбираю 'Производство' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Номер'       | 'Ответственный'   | 'Склад отправитель'   		  | 'Склад получатель'    			| 'Способ создания'    | 'Статус'    |
		| '0000-000003' | 'milk_prod_Киоск' | 'milk_prod_Камера созревания 1' | 'milk_prod_Камера созревания 1' | 'Приемка и передача' | 'Выполнено' |
	И я нажимаю на кнопку с именем 'ФормаУстановитьПометкуУдаления'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'
	И В командном интерфейсе я выбираю 'Производство' 'Комплектации тар'
	Тогда открылось окно 'Комплектации тар'
	И в таблице "Список" я перехожу к строке:
		| 'Ответственный'   		 | 'Склад'               		  | 'Способ создания' | 'Тара'        | 'Тип операции' |
		| 'milk_prod_Мастер сырцеха' | 'milk_prod_Камера созревания 1' | 'Создан вручную'  | '10000000001' | 'Собрать'      |
	И я нажимаю на кнопку с именем 'ФормаУстановитьПометкуУдаления'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Комплектации тар'
	И Я закрываю окно 'Комплектации тар'

Сценарий: Перекомплектация тары - переупаковка сыра на ту же тару с потерей веса
	Дано Я переключаюсь на открытый клиент "milk_prod_Киоск"
	И в поле 'Дата' я ввожу текст '03.02.2020'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке по шаблону:
		| 'Наименование'      |
		| 'milk_prod_Переупаковка сы*' |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Переупаковка созревающего'
	Тогда открылось окно 'Переупаковка созревающего *'
	И я нажимаю кнопку выбора у поля с именем "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно 'Переупаковка созревающего *'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Количество' | 'Количество 1' | 'Номенклатура'                                   			 | 'Склад'               		   | 'Тара'        |
		| '28,650, кг' | '12,000, шт'   | 'milk_prod_Диетический 35% / На созревании / 01.11.2018/7' | 'milk_prod_Камера созревания 1' | '07000000005' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Переупаковка созревающего *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно 'Переупаковка созревающего *'
	И я нажимаю кнопку выбора у поля "Пакет"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Пакет 2'      |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Переупаковка созревающего *'
	И я нажимаю кнопку выбора у поля с именем "Тара"
	Тогда открылось окно 'Тары'
	И в таблице "Список" я перехожу к строке:
		| 'Штрих код'   |
		| '07000000005' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Переупаковка созревающего *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '8'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Переупаковка созревающего *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество1'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку 'КомандаГотово'
	Когда открылось окно 'Переупаковка созревающего *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Переупаковка созревающего *'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Количество' | 'Количество 1' | 'Номенклатура'                                   			 | 'Склад'               		   | 'Тара'        |
		| '26,650, кг' | '12,000, шт'   | 'milk_prod_Диетический 35% / На созревании / 01.11.2018/7' | 'milk_prod_Камера созревания 1' | '07000000005' |
	И я нажимаю на кнопку 'КомандаНастройки'
	Тогда открылось окно 'Настройки состояния нахождения на складах'
	И я меняю значение переключателя 'Отображать отрицательные остатки' на 'Да'
	И я нажимаю на кнопку 'Cохранить'
	Тогда открылось окно 'Переупаковка созревающего *'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Количество' | 'Количество 1'       | 'Номенклатура'                                   		   | 'Склад'               			 |
		| '2,000, кг'  | '<Количество 1>, шт' | 'milk_prod_Диетический 35% / На созревании / 01.11.2018/7' | 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку 'КомандаНастройки'
	Тогда открылось окно 'Настройки состояния нахождения на складах'
	И я меняю значение переключателя 'Отображать отрицательные остатки' на 'Нет'
	И я нажимаю на кнопку 'Cохранить'
	И я закрыл все окна клиентского приложения

Сценарий: Проверка наличия документа списания пакетов.1
	Дано Я переключаюсь на открытый клиент "milk_prod_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Распределения материалов'
	Тогда открылось окно 'Распределения материалов'
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Ответственный'   | 'Рабочий центр' 		| 'Смена'   | 'Способ создания'    |
		| '03.02.2020' | 'milk_prod_Киоск' | 'milk_prod_Упаковка'   | 'Смена24' | 'Приемка и передача' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распределение материалов *'
	И я жду, что в таблице "РаспределениеМатериалов" количество строк будет "равно" 1 в течение 10 секунд
	И в таблице "РаспределениеМатериалов" я перехожу к первой строке
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловКоличество" имеет значение "12,000"
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловНоменклатура" имеет значение "milk_prod_Пакет 2"
	И в таблице "РаспределениеМатериалов" поле "Номенклатура продукции" имеет значение "milk_prod_Диетический 35%"
	И в таблице "РаспределениеМатериалов" поле "Характеристика продукции" имеет значение "На созревании"
	И в таблице "РаспределениеМатериалов" поле "Серия продукции" имеет значение "01.11.2018/7"
	И я закрыл все окна клиентского приложения

Сценарий: Перекомплектация тары - переупаковка сыра на другую тару с потерей веса
	Дано Я переключаюсь на открытый клиент "milk_prod_Киоск"
	И в поле 'Дата' я ввожу текст '03.02.2020'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке по шаблону:
		| 'Наименование'      |
		| 'milk_prod_Переупаковка сы*' |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Переупаковка созревающего'
	Тогда открылось окно 'Переупаковка созревающего *'
	И я нажимаю кнопку выбора у поля с именем "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно 'Переупаковка созревающего *'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Количество' | 'Количество 1' | 'Номенклатура'                                   			 | 'Склад'               		   | 'Тара'        |
		| '26,650, кг' | '12,000, шт'   | 'milk_prod_Диетический 35% / На созревании / 01.11.2018/7' | 'milk_prod_Камера созревания 1' | '07000000005' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Переупаковка созревающего *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно 'Переупаковка созревающего *'
	И я нажимаю кнопку выбора у поля с именем "Тара"
	Тогда открылось окно 'Тары'
	И в таблице "Список" я перехожу к строке:
		| 'Штрих код'   |
		| '07000000006' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Переупаковка созревающего *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '4'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Переупаковка созревающего *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество1'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Переупаковка созревающего *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Переупаковка созревающего *'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Количество' | 'Количество 1' | 'Номенклатура'                                   			 | 'Склад'               		   | 'Тара'        |
		| '23,500, кг' | '12,000, шт'   | 'milk_prod_Диетический 35% / На созревании / 01.11.2018/7' | 'milk_prod_Камера созревания 1' | '07000000006' |
	И я нажимаю на кнопку 'КомандаНастройки'
	Тогда открылось окно 'Настройки состояния нахождения на складах'
	И я меняю значение переключателя 'Отображать отрицательные остатки' на 'Да'
	И я нажимаю на кнопку 'Cохранить'
	Тогда открылось окно 'Переупаковка созревающего *'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Количество' | 'Количество 1'       | 'Номенклатура'                                   		   | 'Склад'               			 |
		| '5,150, кг'  | '<Количество 1>, шт' | 'milk_prod_Диетический 35% / На созревании / 01.11.2018/7' | 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку 'КомандаНастройки'
	Тогда открылось окно 'Настройки состояния нахождения на складах'
	И я меняю значение переключателя 'Отображать отрицательные остатки' на 'Нет'
	И я нажимаю на кнопку 'Cохранить'
	И я закрыл все окна клиентского приложения

Сценарий: Перекомплектация тары - переупаковка сыра на ту же тару без потери веса
	И в поле 'Дата' я ввожу текст '03.02.2020'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке по шаблону:
		| 'Наименование'      |
		| 'milk_prod_Переупаковка сы*' |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Переупаковка созревающего'
	Тогда открылось окно 'Переупаковка созревающего *'
	И я нажимаю кнопку выбора у поля с именем "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно 'Переупаковка созревающего *'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Количество' | 'Количество 1' | 'Номенклатура'                                   			 | 'Склад'               		   | 'Тара'        |
		| '23,500, кг' | '12,000, шт'   | 'milk_prod_Диетический 35% / На созревании / 01.11.2018/7' | 'milk_prod_Камера созревания 1' | '07000000006' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Переупаковка созревающего *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        		  |
		| 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно 'Переупаковка созревающего *'
	И я нажимаю кнопку выбора у поля с именем "Тара"
	Тогда открылось окно 'Тары'
	И в таблице "Список" я перехожу к строке:
		| 'Штрих код'   |
		| '07000000006' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Переупаковка созревающего *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '4'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Переупаковка созревающего *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество1'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Переупаковка созревающего *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Переупаковка созревающего *'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Количество' | 'Количество 1' | 'Номенклатура'                                   			 | 'Склад'               		   | 'Тара'        |
		| '23,500, кг' | '12,000, шт'   | 'milk_prod_Диетический 35% / На созревании / 01.11.2018/7' | 'milk_prod_Камера созревания 1' | '07000000006' |
	И я закрыл все окна клиентского приложения

Сценарий: Перекомплектация тары - переупаковка сыра на другую тару без потери веса
	И в поле 'Дата' я ввожу текст '03.02.2020'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке по шаблону:
		| 'Наименование'      |
		| 'milk_prod_Переупаковка сы*' |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Переупаковка созревающего'
	Тогда открылось окно 'Переупаковка созревающего *'
	И я нажимаю кнопку выбора у поля с именем "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно 'Переупаковка созревающего *'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Количество' | 'Количество 1' | 'Номенклатура'                                   			 | 'Склад'               		   | 'Тара'        |
		| '23,500, кг' | '12,000, шт'   | 'milk_prod_Диетический 35% / На созревании / 01.11.2018/7' | 'milk_prod_Камера созревания 1' | '07000000006' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Переупаковка созревающего *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно 'Переупаковка созревающего *'
	И я нажимаю кнопку выбора у поля с именем "Тара"
	Тогда открылось окно 'Тары'
	И в таблице "Список" я перехожу к строке:
		| 'Штрих код'   |
		| '07000000005' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Переупаковка созревающего *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '4'
	И я нажимаю на кнопку ','
	И я нажимаю на кнопку '8'
	И я нажимаю на кнопку '5'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Переупаковка созревающего *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество1'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Переупаковка созревающего *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Переупаковка созревающего *'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Количество' | 'Количество 1' | 'Номенклатура'                                   			 | 'Склад'               		   | 'Тара'        |
		| '23,500, кг' | '12,000, шт'   | 'milk_prod_Диетический 35% / На созревании / 01.11.2018/7' | 'milk_prod_Камера созревания 1' | '07000000005' |
	И я закрыл все окна клиентского приложения

Сценарий: Подготовка остатка на контейнере
	Дано Я переключаюсь на открытый клиент "milk_prod_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'от' я ввожу текст '03.02.2020  0:00:00'
	И в поле 'Дата смены' я ввожу текст '03.02.2020'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'milk_prod_упак'
	И из выпадающего списка с именем "СкладВыпуск" я выбираю по строке 'milk_prod_камера'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускТара"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''          |
		| 'Контейнер' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контейнеры'
	И я нажимаю на кнопку 'Создать'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'milk_prod_диети'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Наименование' | 'Номер' |
		| '01.11.2018'   | '01.11.2018/7' | '7'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '48,000'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество1' я ввожу текст '21,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: Перекомплектация тары - переупаковка сыра на контейнер с потерей веса
	Дано Я переключаюсь на открытый клиент "milk_prod_Киоск"
	И в поле 'Дата' я ввожу текст '03.02.2020'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке по шаблону:
		| 'Наименование'      |
		| 'milk_prod_Переупаковка сы*' |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Переупаковка контейнера'
	Тогда открылось окно 'Переупаковка контейнера *'
	И я нажимаю кнопку выбора у поля с именем "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно 'Переупаковка контейнера *'
	И в таблице "ТаблицаОстатков" я перехожу к строке по шаблону:
		| 'Количество' | 'Количество 1' | 'Номенклатура'                                   			 | 'Склад'               		   | 'Тара'                 |
		| '48,000, кг' | '21,000, шт'   | 'milk_prod_Диетический 35% / На созревании / 01.11.2018/7' | 'milk_prod_Камера созревания 1' | 'Контейнер 030000004*' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Переупаковка контейнера *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно 'Переупаковка контейнера *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '4'
	И я нажимаю на кнопку '7'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Переупаковка контейнера *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество1'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Переупаковка контейнера *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Печать документа'
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно 'Переупаковка контейнера *'
	И в таблице "ТаблицаОстатков" я перехожу к строке по шаблону:
		| 'Количество' | 'Количество 1' | 'Номенклатура'                                   			 | 'Склад'               		   | 'Тара'                 |
		| '47,000, кг' | '21,000, шт'   | 'milk_prod_Диетический 35% / На созревании / 01.11.2018/7' | 'milk_prod_Камера созревания 1' | 'Контейнер 030000005*' |
	И я нажимаю на кнопку 'КомандаНастройки'
	Тогда открылось окно 'Настройки состояния нахождения на складах'
	И я меняю значение переключателя 'Отображать отрицательные остатки' на 'Да'
	И я нажимаю на кнопку 'Cохранить'
	Тогда открылось окно 'Переупаковка контейнера *'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Количество' | 'Количество 1'       | 'Номенклатура'                                   		   | 'Склад'               			 |
		| '6,150, кг'  | '<Количество 1>, шт' | 'milk_prod_Диетический 35% / На созревании / 01.11.2018/7' | 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку 'КомандаНастройки'
	Тогда открылось окно 'Настройки состояния нахождения на складах'
	И я меняю значение переключателя 'Отображать отрицательные остатки' на 'Нет'
	И я нажимаю на кнопку 'Cохранить'
	И я закрыл все окна клиентского приложения

Сценарий: Перекомплектация тары - переупаковка сыра на контейнер без потери веса
	И в поле 'Дата' я ввожу текст '03.02.2020'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке по шаблону:
		| 'Наименование'      |
		| 'milk_prod_Переупаковка сы*' |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Переупаковка контейнера'
	Тогда открылось окно 'Переупаковка контейнера *'
	И я нажимаю кнопку выбора у поля с именем "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно 'Переупаковка контейнера *'
	И в таблице "ТаблицаОстатков" я перехожу к строке по шаблону:
		| 'Количество' | 'Количество 1' | 'Номенклатура'                                   			 | 'Склад'               		   | 'Тара'                 |
		| '47,000, кг' | '21,000, шт'   | 'milk_prod_Диетический 35% / На созревании / 01.11.2018/7' | 'milk_prod_Камера созревания 1' | 'Контейнер 030000005*' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Переупаковка контейнера *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно 'Переупаковка контейнера *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '4'
	И я нажимаю на кнопку '7'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Переупаковка контейнера *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество1'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Переупаковка контейнера *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Печать документа'
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно 'Переупаковка контейнера *'
	И в таблице "ТаблицаОстатков" я перехожу к строке по шаблону:
		| 'Количество' | 'Количество 1' | 'Номенклатура'                                   			 | 'Склад'               		   | 'Тара'                 |
		| '47,000, кг' | '21,000, шт'   | 'milk_prod_Диетический 35% / На созревании / 01.11.2018/7' | 'milk_prod_Камера созревания 1' | 'Контейнер 030000006*' |
	И я закрыл все окна клиентского приложения

Сценарий: Проверка количества документов с распределением пакетов
	Дано Я переключаюсь на открытый клиент "milk_prod_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Распределения материалов'
	Тогда открылось окно 'Распределения материалов'
	И я жду, что в таблице "Список" количество строк будет "равно" 6 в течение 10 секунд
	И я закрыл все окна клиентского приложения

Сценарий: Изменение дат документов
	И В командном интерфейсе я выбираю 'Производство' 'Распределения материалов'
	Тогда открылось окно 'Распределения материалов'
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Номер'       | 'Ответственный'   | 'Рабочий центр' 		| 'Смена'   | 'Способ создания'    |
		| '03.02.2020' | '0000-000001' | 'milk_prod_Киоск' | 'milk_prod_Упаковка'   | 'Смена24' | 'Приемка и передача' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распределение материалов *'
	И я перехожу к закладке "Распределение материалов"
	И я перехожу к закладке "Основное"
	И в поле 'от' я ввожу текст '03.02.2020 15:59:44'
	И я перехожу к закладке "Дополнительно"
	И в поле 'Комментарий' я ввожу текст '+'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распределение материалов *' в течение 20 секунд
	Тогда открылось окно 'Распределения материалов'
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Номер'       | 'Ответственный'   | 'Рабочий центр' 	  | 'Смена'   | 'Способ создания'    |
		| '03.02.2020' | '0000-000002' | 'milk_prod_Киоск' | 'milk_prod_Упаковка' | 'Смена24' | 'Приемка и передача' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распределение материалов 0000-000002 от *'
	И в поле 'от' я ввожу текст '03.02.2020 16:10:13'
	И я перехожу к закладке "Дополнительно"
	И в поле 'Комментарий' я ввожу текст '+'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распределение материалов 0000-000002 от * *' в течение 20 секунд
	Тогда открылось окно 'Распределения материалов'
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Номер'       | 'Ответственный'   | 'Рабочий центр' 		| 'Смена'   | 'Способ создания'    |
		| '03.02.2020' | '0000-000003' | 'milk_prod_Киоск' | 'milk_prod_Упаковка'   | 'Смена24' | 'Приемка и передача' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распределение материалов 0000-000003 от *'
	И в поле 'от' я ввожу текст '03.02.2020 16:17:59'
	И я перехожу к закладке "Дополнительно"
	И в поле 'Комментарий' я ввожу текст '+'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распределение материалов 0000-000003 от * *' в течение 20 секунд
	Тогда открылось окно 'Распределения материалов'
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Номер'       | 'Ответственный'   | 'Рабочий центр' 	   | 'Смена'   | 'Способ создания'    |
		| '03.02.2020' | '0000-000004' | 'milk_prod_Киоск' | 'milk_prod_Упаковка'  | 'Смена24' | 'Приемка и передача' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распределение материалов 0000-000004 от *'
	И в поле 'от' я ввожу текст '03.02.2020 16:25:49'
	И я перехожу к закладке "Дополнительно"
	И в поле 'Комментарий' я ввожу текст '+'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распределение материалов 0000-000004 от * *' в течение 20 секунд
	Тогда открылось окно 'Распределения материалов'
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Номер'       | 'Ответственный'   | 'Рабочий центр' 		| 'Смена'   | 'Способ создания'    |
		| '03.02.2020' | '0000-000005' | 'milk_prod_Киоск' | 'milk_prod_Упаковка'   | 'Смена24' | 'Приемка и передача' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распределение материалов 0000-000005 от *'
	И в поле 'от' я ввожу текст '03.02.2020 16:34:38'
	И я перехожу к закладке "Дополнительно"
	И в поле 'Комментарий' я ввожу текст '+'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распределение материалов 0000-000005 от * *' в течение 20 секунд
	Тогда открылось окно 'Распределения материалов'
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Номер'       | 'Ответственный'   | 'Рабочий центр' 		| 'Смена'   | 'Способ создания'    |
		| '03.02.2020' | '0000-000006' | 'milk_prod_Киоск' | 'milk_prod_Упаковка'   | 'Смена24' | 'Приемка и передача' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распределение материалов 0000-000006 от *'
	И в поле 'от' я ввожу текст '03.02.2020 16:39:36'
	И я перехожу к закладке "Дополнительно"
	И в поле 'Комментарий' я ввожу текст '+'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распределение материалов 0000-000006 от * *' в течение 20 секунд
	Тогда открылось окно 'Распределения материалов'
	И Я закрываю окно 'Распределения материалов'

Сценарий: Приемка и передача. Нахождение тары по номеру
	Дано Я переключаюсь на открытый клиент "milk_prod_Киоск"
	И в поле "Дата" я ввожу текст "20.06.2019"
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно "Смены"
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24' |
	И я нажимаю на кнопку с именем 'Выбрать'	
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| Наименование |
		| 'milk_prod_Выпуск на рамы' |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Выпуск сыра'
	Тогда открылось окно 'Выпуск сыра (20.06.19 Смена24)*'
	И я нажимаю на кнопку 'КомандаНастройки'
	Тогда открылось окно 'Настройки состояния нахождения на складах'
	И я меняю значение переключателя 'Отображать отрицательные остатки' на 'Да'
	И я нажимаю на кнопку 'Cохранить'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| Номенклатура |
		| "milk_prod_Российский 50% / Варка / 01.11.2018/2" |	
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Выпуск сыра (20.06.19 Смена24)*'
	И я нажимаю на кнопку 'КомандаКалькуляторНомерТары'
	Тогда открылось окно 'Введите код тары'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Выпуск сыра (20.06.19 Смена24)*'
	И Я закрываю окно 'Выпуск сыра (20.06.19 Смена24)*'
	Тогда открылось окно 'Выпуск сыра (20.06.19 Смена24)*'
	И Я закрываю окно 'Выпуск сыра (20.06.19 Смена24)*'

Сценарий: Проверка веса тары в ПиП
	И в поле 'Дата' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'milk_prod_Выпуск на рамы' |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Выпуск сыра'
	Тогда открылось окно 'Выпуск сыра*'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Количество'  | 'Количество 1' | 'Склад'           | 'Тара'        |
		| '229,500, кг' | '36,000, шт'   | 'milk_prod_Бассейн соления' | '06000000004' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Выпуск сыра *'
	И я нажимаю кнопку выбора у поля с именем "Тара"
	Тогда открылось окно 'Тары'
	И в таблице "Список" я перехожу к строке:
		| 'Штрих код'   |
		| '06000000003' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Выпуск сыра *'
	И у элемента с именем "ВесТары" я жду значения "150,470" в течение 5 секунд
	И я нажимаю кнопку выбора у поля с именем "Тара"
	Тогда открылось окно 'Тары'
	И в таблице "Список" я перехожу к строке:
		| 'Штрих код'   |
		| '06000000002' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Выпуск сыра *'
	И у элемента с именем "ВесТары" я жду значения "0,400" в течение 5 секунд
	И я закрыл все окна клиентского приложения

Сценарий: Выпуск сливок нормализованных через киоск
	И в поле 'Дата' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Маслоцех'     |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Нормализация сливок'
	Тогда открылось окно 'Нормализация сливок *'
	И в таблице "ТаблицаОстатков" я перехожу к строке по шаблону:
		| 'Количество'  | 'Номенклатура'    		  | 'Склад'    			 |
		| '200,001, кг' | 'milk_prod_Сливки / 1 до *' | 'milk_prod_Маслоцех' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Нормализация сливок *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Маслоцех'     |
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно 'Нормализация сливок *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Нормализация сливок *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Нормализация сливок *'
	И в таблице "ТаблицаОстатков" я перехожу к строке по шаблону:
		| 'Количество' | 'Номенклатура'                    			 | 'Склад'    			|
		| '20,000, кг' | 'milk_prod_Сливки нормализованные / 1 до *' | 'milk_prod_Маслоцех' |
	И в таблице "ТаблицаОстатков" я перехожу к строке по шаблону:
		| 'Количество'  | 'Номенклатура'    		  | 'Склад'    			 |
		| '180,001, кг' | 'milk_prod_Сливки / 1 до *' | 'milk_prod_Маслоцех' |
	И я закрыл все окна клиентского приложения

Сценарий: Неполное перемещение тары
	И в поле 'Дата' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Перемещения'  |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'С упаковки на созревание'
	Тогда открылось окно 'С упаковки на созревание *'
	И в поле 'ШтрихКод' я ввожу текст '06000000003'
	И я перехожу к следующему реквизиту
	И пауза 1
	Тогда открылось окно 'С упаковки на созревание *'
	И в таблице "СоставТары" я перехожу к строке по шаблону:
		| 'Количество' | 'Количество1' | 'Номенклатура'                          		   |
		| '50,000, кг' | '10,000, шт'  | 'milk_prod_Пошехонский 45% / На созревании / */2' |
	И в таблице "СоставТары" я перехожу к строке по шаблону:
		| 'Количество'  | 'Количество1' | 'Номенклатура'                         		   |
		| '100,000, кг' | '20,000, шт'  | 'milk_prod_Российский 50% / На созревании / */1' |
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'С упаковки на созревание *'
	И в таблице "СоставТары" я перехожу к строке по шаблону:
		| 'Количество' | 'Количество1' | 'Номенклатура'                          		   |
		| '33,177, кг' | '10,000, шт'  | 'milk_prod_Пошехонский 45% / На созревании / */2' |
	И в таблице "СоставТары" я перехожу к строке по шаблону:
		| 'Количество' | 'Количество1' | 'Номенклатура'                         		  |
		| '66,353, кг' | '20,000, шт'  | 'milk_prod_Российский 50% / На созревании / */1' |
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'С упаковки на созревание *'
	И в таблице "ТаблицаОстатков" я перехожу к строке по шаблону:
		| 'Количество' | 'Количество 1'       | 'Номенклатура'                          		  | 'Склад'    			 |
		| '16,823, кг' | '<Количество 1>, шт' | 'milk_prod_Пошехонский 45% / На созревании / */2' | 'milk_prod_Упаковка' |
	И в таблице "ТаблицаОстатков" я перехожу к строке по шаблону:
		| 'Количество' | 'Количество 1'       | 'Номенклатура'                         			 | 'Склад'    			|
		| '33,647, кг' | '<Количество 1>, шт' | 'milk_prod_Российский 50% / На созревании / */1' | 'milk_prod_Упаковка' |
	Когда открылось окно 'С упаковки на созревание *'
	И я нажимаю на кнопку 'Закрыть'

Сценарий: Проверка документов 
	Дано Я переключаюсь на открытый клиент "milk_prod_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Ответственный'   | 'Склад отправитель'  | 'Склад получатель'    			 | 'Способ создания'    | 'Статус'    |
		| 'milk_prod_Киоск' | 'milk_prod_Упаковка' | 'milk_prod_Камера созревания 1' | 'Приемка и передача' | 'Выполнено' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распоряжение на перемещение *'
	И я перехожу к закладке "Факт"
	И в таблице "Товары" я перехожу к строке:
		| 'В ед. хранения' | 'Ед.' | 'Количество' | 'Количество 1' | 'Номенклатура'    			 | 'Характеристика' |
		| '33,177, кг'     | 'кг'  | '33,177'     | '10,000, шт'   | 'milk_prod_Пошехонский 45%' | 'На созревании'  |
	И в таблице "Товары" я перехожу к строке:
		| 'В ед. хранения' | 'Ед.' | 'Количество' | 'Количество 1' | 'Номенклатура'   			| 'Характеристика' |
		| '66,353, кг'     | 'кг'  | '66,353'     | '20,000, шт'   | 'milk_prod_Российский 50%' | 'На созревании'  |
	И Я закрываю окно 'Распоряжение на перемещение *'
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'
	И В командном интерфейсе я выбираю 'Производство' 'Комплектации тар'
	Тогда открылось окно 'Комплектации тар'
	И в таблице "Список" я перехожу к строке:
		| 'Ответственный'   | 'Склад'    		   | 'Способ создания'    | 'Тип операции' |
		| 'milk_prod_Киоск' | 'milk_prod_Упаковка' | 'Приемка и передача' | 'Пересобрать'  |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Комплектация тары *'
	И     элемент формы с именем "ВесБруттоТекущий" стал равен '150,470'
	И     элемент формы с именем "ВесТарыТекущий" стал равен '0,470'
	И     элемент формы с именем "ВесНеттоТекущий" стал равен '150,000'
	И     элемент формы с именем "ВесБрутто" стал равен '100,000'
	И     элемент формы с именем "ВесНетто" стал равен '99,530'
	И     таблица "Товары" стала равной по шаблону:
		| 'Ед. изм. 2' | 'Количество' | 'Номенклатура'    			| 'Количество 1' | 'Характеристика' | 'Серия'  | 'Количество 2' | 'Ед. изм.' | 'Ед. изм. 1' |
		| ''           | '66,353'     | 'milk_prod_Российский 50%'  | '20,000'       | 'На созревании'  | '*/1'    | ''             | 'кг'       | 'шт'         |
		| ''           | '33,177'     | 'milk_prod_Пошехонский 45%' | '10,000'       | 'На созревании'  | '*/2'    | ''             | 'кг'       | 'шт'         |
	И     таблица "ТекущиеТовары" стала равной по шаблону:
		| 'Ед. изм. 2' | 'Количество' | 'Номенклатура'    			| 'Количество 1' | 'Характеристика' | 'Серия' | 'Количество 2' | 'Ед. изм.' | 'Ед. изм. 1' |
		| ''           | '100,000'    | 'milk_prod_Российский 50%'  | '20,000'       | 'На созревании'  | '*/1'   | ''             | 'кг'       | 'шт'         |
		| ''           | '50,000'     | 'milk_prod_Пошехонский 45%' | '10,000'       | 'На созревании'  | '*/2'   | ''             | 'кг'       | 'шт'         |
	И я закрыл все окна клиентского приложения

Сценарий: Удаление документа перемещения
	И В командном интерфейсе я выбираю 'Производство' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Ответственный'   | 'Склад отправитель'  | 'Склад получатель'    			 | 'Способ создания'    | 'Статус'    |
		| 'milk_prod_Киоск' | 'milk_prod_Упаковка' | 'milk_prod_Камера созревания 1' | 'Приемка и передача' | 'Выполнено' |
	И я выбираю пункт контекстного меню с именем 'СписокКонтекстноеМенюУстановитьПометкуУдаления' на элементе формы с именем "Список"
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: Удаление документа комплектации тары
	И В командном интерфейсе я выбираю 'Производство' 'Комплектации тар'
	Тогда открылось окно 'Комплектации тар'
	И в таблице "Список" я перехожу к строке:
		| 'Ответственный'   | 'Склад'    		   | 'Способ создания'    | 'Тип операции' |
		| 'milk_prod_Киоск' | 'milk_prod_Упаковка' | 'Приемка и передача' | 'Пересобрать'  |
	И я выбираю пункт контекстного меню с именем 'СписокКонтекстноеМенюУстановитьПометкуУдаления' на элементе формы с именем "Список"
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Комплектации тар'
	И Я закрываю окно 'Комплектации тар'

Сценарий: Полное перемещение составной тары
	Дано Я переключаюсь на открытый клиент "milk_prod_Киоск"
	И в поле 'Дата' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Перемещения'  |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'С упаковки на созревание'
	Тогда открылось окно 'С упаковки на созревание *'
	И в поле 'ШтрихКод' я ввожу текст '06000000004'
	И я перехожу к следующему реквизиту
	И пауза 1
	И я нажимаю на кнопку 'КомандаОК'
	Тогда открылось окно 'С упаковки на созревание *'
	И в поле 'ШтрихКод' я ввожу текст '06000000003'
	И я перехожу к следующему реквизиту
	И пауза 1
	Тогда открылось окно 'С упаковки на созревание *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '5'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку ','
	И я нажимаю на кнопку '4'
	И я нажимаю на кнопку '7'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'С упаковки на созревание *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'С упаковки на созревание *'
	И таблица  "ТаблицаОстатков" не содержит строки:
		| 'Количество'     |
		| '100,000, кг'    |
		| '50,000, кг'     |
	И я закрыл все окна клиентского приложения

Сценарий: 02_milk_production.02.007 Проверка перемещения россыпи с перезавесом
	И в поле с именем 'Дата' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля с именем "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24'      |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю кнопку выбора у поля с именем "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'          |
		| 'milk_prod_Перемещения' |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Перемещение россыпи'
	Тогда открылось окно 'Перемещение россыпи * *'
	И я нажимаю кнопку выбора у поля с именем "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'milk_prod_Маслоцех' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Перемещение россыпи * *'
	И в таблице "ТаблицаОстатков" я перехожу к строке по шаблону:
		| 'Количество'  | 'Номенклатура'              | 'Склад'              |
		| '180,001, кг' | 'milk_prod_Сливки / * до *' | 'milk_prod_Маслоцех' |
	И я нажимаю на кнопку с именем 'КомандаПереработка'
	Тогда открылось окно 'Перемещение россыпи * *'
	И я нажимаю кнопку выбора у поля с именем "СкладПолучатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'milk_prod_Маслоцех' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Перемещение россыпи * *'
	И я нажимаю на кнопку с именем 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '5'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку с именем 'КомандаГотово'
	Тогда открылось окно 'Перемещение россыпи * *'
	И я нажимаю на кнопку с именем 'КомандаПодтвердить'
	Тогда открылось окно 'Перемещение россыпи * *'
	И в таблице "ТаблицаОстатков" я перехожу к строке по шаблону:
		| 'Количество'  | 'Номенклатура'              | 'Склад'              |
		| '180,001, кг' | 'milk_prod_Сливки / * до *' | 'milk_prod_Маслоцех' |
	И я нажимаю на кнопку с именем 'Закрыть'

Сценарий: 02_milk_production.02.007 Закрытие клиента
	И я закрываю сеанс TESTCLIENT
	
Сценарий: Проверка отсутствия перекомплектации и наличия перемещеения
	Дано Я переключаюсь на открытый клиент "milk_prod_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Комплектации тар'
	Тогда открылось окно 'Комплектации тар'
	И в таблице "Список" я перехожу к строке:
		| 'Ответственный'   | 'Склад'    		   | 'Способ создания'    | 'Тип операции' |
		| 'milk_prod_Киоск' | 'milk_prod_Упаковка' | 'Приемка и передача' | 'Пересобрать'  |
	И в таблице "Список" я активизирую поле "Тип операции"
	И я выбираю пункт контекстного меню с именем 'СписокКонтекстноеМенюПоискПоТекущемуЗначению' на элементе формы с именем "Список"
	И в таблице "Список" я активизирую поле "Склад"
	И я выбираю пункт контекстного меню с именем 'СписокКонтекстноеМенюПоискПоТекущемуЗначению' на элементе формы с именем "Список"
	И я жду, что в таблице "Список" количество строк будет "равно" 1 в течение 10 секунд
	И Я закрываю окно 'Комплектации тар'
	И В командном интерфейсе я выбираю 'Производство' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Ответственный'   | 'Склад отправитель' 	| 'Склад получатель'    		  | 'Способ создания'    | 'Статус'    |
		| 'milk_prod_Киоск' | 'milk_prod_Упаковка'  | 'milk_prod_Камера созревания 1' | 'Приемка и передача' | 'Выполнено' |
	И в таблице "Список" я активизирую поле "Склад отправитель"
	И я выбираю пункт контекстного меню с именем 'СписокКонтекстноеМенюПоискПоТекущемуЗначению' на элементе формы с именем "Список"
	И в таблице "Список" я активизирую поле "Склад получатель"
	И я выбираю пункт контекстного меню с именем 'СписокКонтекстноеМенюПоискПоТекущемуЗначению' на элементе формы с именем "Список"
	И я жду, что в таблице "Список" количество строк будет "равно" 2 в течение 10 секунд
	И я закрыл все окна клиентского приложения